> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/wen-jian/file.savebase64.md).

# File.saveBase64

> 函数式 API `saveBase64Data`也能用它实现相同功能。

### 功能说明

将 Base64 编码的数据以指定的文件名和 MIME 类型保存到用户设备上。可以保存图片、文本、PDF 等多种格式。 `fileName`中必须包含扩展名。

Toss 应用 Android `5.218.0`, iOS `5.216.0` 可在以上版本中使用。

### 类型

```ts
File.saveBase64(params: SaveBase64DataParams): Promise<void>;
```

**参数**

```ts
type SaveBase64DataParams = {
  data: string;
  fileName: string;
  mimeType: string;
};
```

**响应**

没有返回值。

### 示例代码

```js
import { File } from "@apps-in-toss/web-framework";

async function handleSave() {
  try {
    await File.saveBase64({
      data: "iVBORw0KGgo...",
      fileName: "some-photo.png",
      mimeType: "image/png",
    });
  } catch (error) {
    console.error("数据保存失败了:", error);
  }
}

document.querySelector("#save-file").addEventListener("click", handleSave);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/wen-jian/file.savebase64.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
